---
extracts:
  - name: CA10__mfaDeviceType__c
    # Acceptable values are: null, "Hardware", "Virtual"
    value:
      FIELD: 
        path: CA10__mfaDeviceType__c
        undeterminedIf:
          noAccessDelegate:
            path: CA10__virtualMfaState__c
            currentStateMessage: Possible access issue with iam:GetAccountSummary, iam:ListVirtualMFADevices or iam:ListMFADevices
# Not Nullable. Can't have no access, retrieved via iam:ListUsers
  - name: "CA10__userName__c"
    value:
      FIELD:
        path: "CA10__userName__c"
  - name: "CA10__accessKeysCount__c"
    value:
      FIELD:
        path: "CA10__accessKeysCount__c"
# Not nullable
  - name: "CA10__createDate__c"
    value:
      FIELD:
        path: "CA10__createDate__c"
